VERSION 5.00
Begin VB.UserControl VerticalScrollBar 
   BackColor       =   &H8000000E&
   ClientHeight    =   1950
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3825
   ScaleHeight     =   1950
   ScaleWidth      =   3825
   Begin VB.Image SliderDown 
      Height          =   285
      Left            =   2520
      Picture         =   "CustomScrollbar.ctx":0000
      Top             =   480
      Width           =   225
   End
   Begin VB.Image SliderHover 
      Height          =   285
      Left            =   2280
      Picture         =   "CustomScrollbar.ctx":03D2
      Top             =   480
      Width           =   225
   End
   Begin VB.Image SliderNormal 
      Height          =   285
      Left            =   2040
      Picture         =   "CustomScrollbar.ctx":07A4
      Top             =   480
      Width           =   225
   End
   Begin VB.Image DownArrowDown 
      Height          =   255
      Left            =   2520
      Picture         =   "CustomScrollbar.ctx":0B76
      Top             =   840
      Width           =   225
   End
   Begin VB.Image UpArrowDown 
      Height          =   255
      Left            =   2520
      Picture         =   "CustomScrollbar.ctx":0EE8
      Top             =   240
      Width           =   225
   End
   Begin VB.Image DownArrowNormal 
      Height          =   255
      Left            =   2040
      Picture         =   "CustomScrollbar.ctx":125A
      Top             =   840
      Width           =   225
   End
   Begin VB.Image UpArrowNormal 
      Height          =   255
      Left            =   2040
      Picture         =   "CustomScrollbar.ctx":15CC
      Top             =   240
      Width           =   225
   End
   Begin VB.Image DownArrow 
      Height          =   255
      Left            =   0
      Picture         =   "CustomScrollbar.ctx":193E
      Top             =   1680
      Width           =   225
   End
   Begin VB.Image UpArrow 
      Height          =   255
      Left            =   0
      Picture         =   "CustomScrollbar.ctx":1CB0
      Top             =   0
      Width           =   225
   End
   Begin VB.Image Slider 
      Height          =   285
      Left            =   0
      Picture         =   "CustomScrollbar.ctx":2022
      Top             =   480
      Width           =   225
   End
   Begin VB.Image DownArrowHover 
      Height          =   255
      Left            =   2280
      Picture         =   "CustomScrollbar.ctx":23F4
      Top             =   840
      Width           =   225
   End
   Begin VB.Image UpArrowHover 
      Height          =   255
      Left            =   2280
      Picture         =   "CustomScrollbar.ctx":2766
      Top             =   240
      Width           =   225
   End
   Begin VB.Image Background 
      Height          =   210
      Left            =   0
      Picture         =   "CustomScrollbar.ctx":2AD8
      Top             =   240
      Width           =   225
   End
End
Attribute VB_Name = "VerticalScrollBar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private Sub DownArrow_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
If Button = 1 Then
DownArrow.Picture = DownArrowDown.Picture
End If
End Sub

Private Sub DownArrow_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
DownArrow.Picture = DownArrowHover.Picture
End Sub

Private Sub DownArrow_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
DownArrow.Picture = DownArrowNormal.Picture
End Sub

Private Sub Slider_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
If Button = 1 Then
Slider.Picture = SliderDown.Picture
End If
End Sub

Private Sub Slider_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
Slider.Picture = SliderNormal.Picture
End Sub

Private Sub UpArrow_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
If Button = 1 Then
UpArrow.Picture = UpArrowDown.Picture
End If
End Sub

Private Sub UpArrow_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
UpArrow.Picture = UpArrowHover.Picture
End Sub

Private Sub UpArrow_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
UpArrow.Picture = UpArrowNormal.Picture
End Sub

Private Sub UserControl_Initialize()
UserControl_Resize
End Sub

Private Sub UserControl_Resize()
Background.Stretch = True
Background.Top = 0
Background.Height = UserControl.Height
Slider.Top = UpArrow.Height
DownArrow.Top = UserControl.Height - DownArrow.Height
UserControl.Width = UpArrow.Width
End Sub
